| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - l -

- Last : csList< T >, CS::SndSys::QueueIterator< T >, csJoystickDriver, csMouseDriver
- last_cur_time : csProcTexture
- last_error : csPhysicalFile
- last_mod_file_date : ZIP_central_directory_file_header, ZIP_local_file_header
- last_mod_file_time : ZIP_central_directory_file_header, ZIP_local_file_header
- last_portal : csRenderContext
- last_sample : CS::SndSys::PCMSampleConverter
- LastClick : csMouseDriver
- LastClickButton : csMouseDriver
- LastClickTime : csMouseDriver
- LastClipResult() : csClipper
- lastDead : csKeyComposer
- lastEventType : OSXDelegate2D
- lastLock : csRenderBuffer::Props
- layers : csGenerateImageTextureBlend
- leaves : csSubRectangles
- left : csBitmapMetrics, csGradientShade, csRedBlackTree< K >::Node
- Left() : csMath2
- Length() : iStringArray, iString, iPath, csPathsList, scfStringArray, scfString, csFIFO< T, ElementHandler, MemoryAllocator >, csStringBase, csBitArrayTweakable< InlinedBits, Allocator >, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >, CS::SndSys::Queue< T >, csPath
- light_mgr : csParticleSystem
- lightAttenuation : csLightShaderVarCache
- lightAttenuationMode : csLightShaderVarCache
- lightAttenuationTex : csLightShaderVarCache
- LightChanged() : iLightingInfo
- lightDiffuse : csLightShaderVarCache
- lightDirection : csLightShaderVarCache
- LightDirection() : csSpotLightProc< AttenuationProc >::PerVertex, csDirectionalLightProc< AttenuationProc >::PerVertex, csPointLightProc< AttenuationProc >::PerVertex
- lightDirectionCamera : csLightShaderVarCache
- lightDirectionWorld : csLightShaderVarCache
- LightDisconnect() : iLightingInfo
- lightInnerFalloff : csLightShaderVarCache
- LightInvDistance() : csSpotLightProc< AttenuationProc >::PerVertex, csDirectionalLightProc< AttenuationProc >::PerVertex, csPointLightProc< AttenuationProc >::PerVertex
- lightOuterFalloff : csLightShaderVarCache
- lightPosition : csLightShaderVarCache
- lightPositionCamera : csLightShaderVarCache
- lightPositionWorld : csLightShaderVarCache
- LightProperty : csLightShaderVarCache
- lightSpecular : csLightShaderVarCache
- lightTransformCamera : csLightShaderVarCache
- lightTransformWorld : csLightShaderVarCache
- lightType : csLightShaderVarCache
- LightVisible() : iLightVisibleCallback
- LineAddress : csGraphics2D
- linearVelocity : csParticle
- LineInClosedMesh() : csPolygonMeshTools
- LineLine() : csIntersect2
- LineNumber : IMAGEHLP_LINEW64, IMAGEHLP_LINE64
- LineNumbers : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- Listener : csInputDriver
- listener_parameters : iSndSysSoftwareFilter3DProperties
- listeners : csObject
- Load() : iConfigFile, iGenMeshAnimationControlFactory, iModelLoader, iLoader, iImageIO, iRenderLoopManager, iCameraPosition, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument, iShaderProgram, csCommonImageFile
- LoadConfig() : iInputBinder, csInputBinder
- LoadCoreAnimation() : iSpriteCal3DFactoryState
- LoadCoreMesh() : iSpriteCal3DFactoryState
- LoadCoreMorphTarget() : iSpriteCal3DFactoryState
- LoadCoreSkeleton() : iSpriteCal3DFactoryState
- LoadData() : iImageFileLoader
- LoadedImageName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- LoadedPdbName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- LoaderJob() : csCommonImageFile::LoaderJob
- LoadFactory() : iSkeletonGraveyard
- LoadFont() : iFontServer
- LoadImage() : iLoader
- loadJob : csCommonImageFile
- LoadLibrary() : iLoader
- LoadLibraryFile() : iLoader
- LoadMap() : iLoader
- LoadMapFile() : iLoader
- LoadMeshFactory() : iEngine
- LoadMeshObject() : iLoader
- LoadMeshObjectFactory() : iLoader
- LoadMeshWrapper() : iEngine
- LoadModule() : iScript
- LoadMountsFromFile() : iVFS
- LoadPlugin() : iPluginManager, csPluginManager
- LoadPlugins() : csPluginLoader
- loadResult : csCommonImageFile::LoaderJob
- LoadShader() : iLoader
- LoadSound() : iSndSysLoader
- LoadSoundStream() : iLoader
- LoadSoundSysData() : iLoader
- LoadSoundWrapper() : iLoader
- LoadTexture() : iLoader
- LocalBufferAllocator() : CS::Memory::LocalBufferAllocator< T, N, ExcessAllocator >
- LocateFile() : csPathsUtilities
- LocateNode() : csRedBlackTree< K >
- Location : MINIDUMP_DIRECTORY
- lock : csScopedLock< T >
- Lock() : iRenderBuffer, iPolygonMesh, csEventCord, csRenderBufferLock< T, TbufferKeeper >, CS::SndSys::Queue< T >, csRenderBuffer, csPolygonMeshBox, csPolygonMesh
- LockForExternalControl() : iParticleSystem
- LockTry() : csSemaphore, csMutex, CS::SpinLock
- LockWait() : csSemaphore, csMutex, CS::SpinLock
- Log() : csQuaternion
- LogParent : csMeshFactory, csMeshObject
- logparent : csParticleSystem
- LookAt() : csReversibleTransform
- LookChar() : csFileReadHelper
- LookupDomain() : iConfigManager, csConfigManager
- LostFocus() : csJoystickDriver, csMouseDriver, csKeyboardDriver
- LRUAlloc : csFontCache
- LTrim() : csStringBase
- Luminance() : csRGBpixel